module Styles = {
  open Css;

  let highlightsContainer =
    style([width(`percent(100.)), paddingTop(`px(40)), paddingBottom(Spacing.xl)]);

  let section = style([paddingTop(`px(45)), width(`percent(100.))]);

  let topicBar =
    style([
      width(`percent(100.)),
      display(`flex),
      flexDirection(`row),
      justifyContent(`spaceBetween),
    ]);

  let skip = style([marginTop(`px(380))]);

  let bg =
    style([
      width(`percent(100.)),
      zIndex(0),
      position(`absolute),
      top(`px(-30)),
      display(`flex),
      flexDirection(`row),
    ]);

  let imgRight = style([marginLeft(`auto), transform(`scaleX(-1.0))]);

  let grayArea =
    style([
      display(`flex),
      alignItems(`center),
      justifyContent(`center),
      overflow(`hidden),
      backgroundColor(`hex("fafafa")),
      borderBottom(`px(1), `solid, `hex("eeeeee")),
      borderTop(`px(1), `solid, `hex("eeeeee")),
      position(`absolute),
      left(`zero),
      minHeight(`px(380)),
      width(`percent(100.)),
    ]);

  let grayAreaInner =
    style([
      position(`absolute),
      maxWidth(`px(984)),
      marginLeft(`auto),
      marginRight(`auto),
      width(`percent(100.)),
    ]);
};

[@react.component]
let make = () => {
  <div className=Styles.highlightsContainer>
    <ChainInfoHighlights />
    <VSpacing size=Spacing.xl />
    // TODO: for next version
    // <div className=Styles.grayArea>
    //   <div className=Styles.bg>
    //     <img src=Images.bg />
    //     <img src=Images.bg className=Styles.imgRight />
    //   </div>
    //   <div className=Styles.grayAreaInner> <DataScriptsHighlights /> </div>
    // </div>
    // <div className=Styles.skip />
    <div className=Styles.section>
      <Row alignItems=`initial>
        <Col> <LatestBlocks /> </Col>
        <HSpacing size=Spacing.lg />
        <Col size=1.> <LatestTxTable /> </Col>
      </Row>
    </div>
  </div>;
};
